summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2012-09-26 18:48:18 +0000
committerChristian Pointner <equinox@spreadspace.org>2012-09-26 18:48:18 +0000
commit68f2a7b7f79fa085bb6b39038523c72a81b64193 (patch)
tree1731625c899c8963accd33c21272c175e6a4aff3 /tools
parentremoved deprecated info (diff)
updated README
added minimus reset script git-svn-id: https://svn.spreadspace.org/avr/trunk@60 aa12f405-d877-488e-9caf-2d797e2a1cc7
Diffstat (limited to 'tools')
-rwxr-xr-xtools/reset_dummy (renamed from tools/dummy_reset)0
-rwxr-xr-xtools/reset_minimus36
2 files changed, 36 insertions, 0 deletions
diff --git a/tools/dummy_reset b/tools/reset_dummy
index 36db140..36db140 100755
--- a/tools/dummy_reset
+++ b/tools/reset_dummy
diff --git a/tools/reset_minimus b/tools/reset_minimus
new file mode 100755
index 0000000..38ba7b8
--- /dev/null
+++ b/tools/reset_minimus
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+ IDS="03eb:2ff0 03eb:2ffa"
+else
+ IDS=$1
+fi
+
+WAIT_MAX=15
+
+FOUND=0
+echo -n "Please press and hold 'H' button and reset the device using the 'R' button "
+i=$WAIT_MAX
+while (test $i -gt 0); do
+ echo -n "."
+ for id in $IDS; do
+ lsusb -d $id > /dev/null 2>&1
+ if [ $? -eq 0 ]; then
+ FOUND=1
+ break;
+ fi
+ done
+ if [ $FOUND -eq 1 ]; then
+ break;
+ fi
+ sleep 1
+ i=$(($i-1))
+done
+
+if [ $FOUND -eq 1 ]; then
+ echo " device found!"
+else
+ echo " timout - trying anyway"
+fi
+
+exit 0